import request from '@/utils/request'

// 查询主体信息列表
export function listOrganizationInfo(query) {
  return request({
    url: '/info/organizationInfo/list',
    method: 'get',
    params: query
  })
}

// 查询主体信息详细
export function getOrganizationInfo(organizationId) {
  return request({
    url: '/info/organizationInfo/' + organizationId,
    method: 'get'
  })
}

// 新增主体信息
export function addOrganizationInfo(data) {
  return request({
    url: '/info/organizationInfo',
    method: 'post',
    data: data
  })
}

// 修改主体信息
export function updateOrganizationInfo(data) {
  return request({
    url: '/info/organizationInfo',
    method: 'put',
    data: data
  })
}

// 删除主体信息
export function delOrganizationInfo(organizationId) {
  return request({
    url: '/info/organizationInfo/' + organizationId,
    method: 'delete'
  })
}

// 导出主体信息
export function exportOrganizationInfo(query) {
  return request({
    url: '/info/organizationInfo/export',
    method: 'get',
    params: query
  })
}
